{ Fill in the following sections (removing comment marks ! if necessary),
  and delete those that are unused.}
TITLE 'KONSOLIDACJA'     { the problem identification }
COORDINATES cartesian2  { coordinate system, 1D,2D,3D, etc }
VARIABLES        { system variables }
  u              { choose your own names }
 SELECT         { method controls }
PAINTED
 DEFINITIONS    { parameter definitions }
H1=4
H2=6
K1=10^(-10)
K2=3*10^(-12)
M1=1.7*10^7
M2=2.4*10^7
K
M
GW=10^4
day=3600*24
CV=(K*M/GW)*day
DS= 6*10^4 {delta sigma}
SPRIM=DS-u {naprezenie efektywne w gruncie}
osact=INTEGRAL(SPRIM/M) {osiadanie aktualne: calka z odksztalcen po polu S - jednostkowa szerokosc}
sc=DS*((H1/M1)+(H2/M2)) {osiadanie calkowite}
Sk=osact/(sc)
 
INITIAL VALUES
u=DS
EQUATIONS
 dt(u)=CV*dy(dy(u))
 
BOUNDARIES
  REGION 1
K=K1
M=M1
    START(0,0)
    natural(u)=0  {jezeli od dolu warstwa przepuszczalna tutaj: value(u)=0}
LINE TO (1,0)
natural(u)=0
LINE TO (1,h1+h2)
value(u)=0
LINE TO (0,h1+h2)
natural(u)=0
LINE TO CLOSE
 
 REGION 2
K=K2
M=M2
    START(0,0)
    natural(u)=0
LINE TO (1,0)
natural(u)=0
LINE TO (1,h2)
natural(u)=0  {jezeli przewarstwienie przepuszczalne tutaj: value(u)=0}
LINE TO (0,h2)
natural(u)=0
LINE TO CLOSE
 
 
TIME 0 TO 100*365 by 10*7   { if time dependent }
MONITORS         { show progress }
PLOTS            { save result displays }
for t=0 by 7*10 to 100*365
  CONTOUR(u)
  CONTOUR(SPRIM)
  CONTOUR(osact)
history(sk)
SUMMARY
  REPORT(osact)
  REPORT(SK)
END
 
 
 
 
 
 
