{ Fill in the following sections (removing comment marks ! if necessary),
  and delete those that are unused.}
TITLE 'KONSOLIDACJA'     { the problem identification }
COORDINATES cartesian2  { coordinate system, 1D,2D,3D, etc }
VARIABLES        { system variables }
  u             { choose your own names }
 SELECT         { method controls }
PAINTED
 DEFINITIONS    { parameter definitions }
H1=4
H2=6
K1=10^(-10)
K2=3*10^(-12)
M1=1.7*10^7
M2=2.4*10^7
d=0.1 {srednica drenu}
l=6.0  {srednica walca zlewni jednego drenu}
K
M
GW=10^4
day=3600*24
CV=(K*M/GW)*day
CH=(K*M/GW)*day
DS= 6*(10^4) {delta sigma}
SPRIM=DS-u {naprezenie efektywne w gruncie}
sact=INTEGRAL(SPRIM/M)/((L/2)-(D/2)) {osiadanie aktualne: calka z odksztalcen po polu S dzielimy przez szerokosc pola S}
sc=DS*((H1/M1)+(H2/M2)) {osiadanie calkowite}
Sk=sact/sc {stopien konsolidacji}
 
 
INITIAL VALUES
u=DS
EQUATIONS
 dt(u)=CV*dy(dy(u))+CH*(dx(dx(u))+(1/x)*dx(u))
 
BOUNDARIES
  REGION 1        { region calosci }
K=K1
M=M1
    START(d/2,0)
    natural(u)=0  {jezeli od dolu warstwa przepuszczalna tutaj: value(u)=0}
LINE TO (l/2,0)
natural(u)=0
LINE TO (l/2,H1+H2)
value(u)=0
LINE TO (d/2,H1+H2)
value(u)=0
LINE TO CLOSE
 
 
  REGION 2  {region drugiej warstwy}
K=K2
M=M2
    START(d/2,0)
natural(u)=0
LINE TO (l/2,0)
natural(u)=0
LINE TO (l/2,h2)
natural(u)=0  {jezeli przewarstwienie przepuszczalne tutaj: value(u)=0}
LINE TO (d/2,h2)
value(u)=0
LINE TO CLOSE
 
TIME 0 TO 40*365 by 7
 
PLOTS
for t=0 by 7 to 40*365
  CONTOUR(u) {cisnienie porowe}
  CONTOUR(SPRIM) {naprezenie efektywne}
  CONTOUR(SPRIM/M) {odksztalcenie}
history(sk)
SUMMARY
  REPORT(sact)
  REPORT(SK)
report(sc)
END
 
